require 'spec_helper'

describe Payzen do
  let(:params) do
    @params = {vads_action_mode: 'INTERACTIVE',
      vads_ctx_mode: 'TEST',
      vads_contrib: 'Wizypay',
      vads_page_action: 'PAYMENT',
      vads_return_mode: 'POST',
      vads_version: 'V2',
      vads_currency: '978',
      vads_language: 'fr',
      vads_site_id: '84197771',
      vads_payment_config: 'SINGLE',
      vads_trans_date: '20150722135629',
      vads_trans_id: '741418',
      vads_amount: '5000',
      vads_order_id: '741418',
      vads_cust_id: '3000',
      signature: '8d56ef75763dec4bad4257a6e726cc1015129157'}
    Payzen.setup do |config|
    end
    @params
  end

  describe '#transaction' do
    before :each do
          param = {vads_site_id: '84197771',
                    vads_trans_date: '20150722135629',
                    vads_trans_id: '741418',
                    vads_amount: '5000',
                    vads_order_id: '741418',
                    vads_cust_id: '3000'}
      @payment = Payzen.transaction(param)
    end

    it 'returns the right signature' do
      expect(Payzen.signature(params)).to eql '8d56ef75763dec4bad4257a6e726cc1015129157'
    end

    it 'retuns new @params' do
      expect(@payment).to eql params
    end
  end
end
